-- Deploy camper:to_integer to pg
-- requires: roles
-- requires: schema_camper
-- requires: color

begin;

set search_path to camper, public;

create or replace function to_integer(color color) returns integer as
$$
	select ('x00' || substr(color, 2))::bit(32)::integer;
$$
	language sql
	immutable
;

commit;
